# $Revision: 1.20 $, $Date: 2006/11/12 20:33:16 $
Summary:	SIP and H.323 Videoconferencing
Summary(pl):	Program do telekonferencji w standardzie SIP oraz H.323
Name:		ekiga
Version:	2.0.3
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://www.ekiga.org/admin/downloads/latest/sources/sources/%{name}-%{version}.tar.gz
# Source0-md5:	5ad3458d73d65c6502c312ff0c430a7c
URL:		http://www.ekiga.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	SDL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	avahi-devel >= 0.6
BuildRequires:	avahi-glib-devel >= 0.6
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	evolution-data-server-devel >= 1.6.1
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool >= 0.33
BuildRequires:	libgnome-devel >= 2.14.0
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libselinux-devel
BuildRequires:	libtool
BuildRequires:	opal-devel = 2.2.3
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	pkgconfig
BuildRequires:	pwlib-devel = 1.10.2
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2 >= 2.14.0
Requires:	dbus >= 0.60
Requires:	evolution-data-server >= 1.6.1
Requires:	libgnome >= 2.14.0
Requires:	libgnomeui >= 2.14.0
Requires:	opal = 2.2.3
Requires:	pwlib-sound
Obsoletes:	gnomemeeting
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ekiga is a IP Telephony and Video Conferencing application which
complies to the SIP and H.323 protocols. It can connect to a variety
of other SIP and H323 applications including specialized hardware.
Ekiga can work with or without a webcam, and is able to create pure
audio communications or traditionnal audio+video communications. Ekiga
was fomerly known as GnomeMeeting.

%description -l pl
Ekiga jest programem przeznaczonym do wideokonferencji oraz telefonii
internetowej zgodnej z protokoami SIP oraz H.323. Moe czy si z
rnymi aplikacjami SIP lub H.323 wczajc w to specjalizowane
urzdzenia. Program Ekiga moe pracowa z kamer internetow,
zestawia same poczenia gosowe jak rwnie tradycyjne z dwikiem i
obrazem. Ekiga bya poprzednio znana jako GnomeMeeting.

%prep
%setup -q
sed -i -e 's|Categories=GNOME;GTK;Network;Telephony;|Categories=GTK;GNOME;Network;InstantMessaging;|' ekiga.desktop.in.in

%build
%{__gnome_doc_common}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install \
	--enable-dbus
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install ekiga.schemas
%scrollkeeper_update_post
%update_desktop_database_post

%postun
%scrollkeeper_update_postun

%preun
%gconf_schema_uninstall ekiga.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO FAQ
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_omf_dest_dir}/%{name}
%{_datadir}/sounds/%{name}
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/bonobo/servers/*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ekiga.spec,v $
Revision 1.20  2006/11/12 20:33:16  rotom
- updated to 2.0.3

Revision 1.19  2006/09/12 21:05:55  dzeus
- BR: libselinux-devel

Revision 1.18  2006/06/07 01:42:57  aredridel
- add linguas patch
- don't remove no locale (does not exist in 2.0.2)

Revision 1.17  2006/06/07 01:14:33  aredridel
- strict opal-devel dep too

Revision 1.16  2006/06/07 01:12:08  aredridel
- strict requires opal 2.2.2

Revision 1.15  2006/06/06 18:41:30  aredridel
- more strict pwlib deps

Revision 1.14  2006/06/06 01:37:12  aredridel
- 2.0.2

Revision 1.13  2006/05/18 19:32:10  baggins
- release 1
- strict deps

Revision 1.12  2006/05/18 19:24:43  baggins
- rel 0.3
- updated files

Revision 1.11  2006/05/18 18:41:57  baggins
- BR proper opal

Revision 1.10  2006/05/18 17:35:33  baggins
- updated BR versions

Revision 1.9  2006/04/12 17:14:14  dzeus
- --enable-dbus

Revision 1.8  2006/04/03 21:08:20  wolvverine
- up to 2.0.1

Revision 1.7  2006/02/25 13:33:07  qboosh
- versioned BRs

Revision 1.6  2006/02/22 11:42:25  agaran
- added BR (reported by Andrzej 'dzemik' Nakonieczny)

Revision 1.5  2006/02/17 14:13:50  aflinta
- up to 1.99.1

Revision 1.4  2006/02/12 20:32:54  freetz
- desktop patch added

Revision 1.3  2006/02/08 07:27:46  qboosh
- typos

Revision 1.2  2006/02/06 00:22:39  aflinta
- adapterized
